<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bankcode.mapper.BankCodeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bankCodeResultMap" type="org.springblade.modules.guosen.bankcode.entity.BankCode">
        <result column="name" property="name"/>
        <result column="code" property="code"/>
        <result column="line" property="line"/>
        <result column="abbr" property="abbr"/>
    </resultMap>


    <select id="selectBankCodePage" resultMap="bankCodeResultMap">
        select * from cyzh_bank_code where is_deleted = 0
    </select>

</mapper>
